Name: cloudy
Version: 13.01
Release: %mkrel 2
Summary: Spectral synthesis code to simulate conditions in interstellar matter

%define upversion 13.01

Group: Sciences/Astronomy
License: BSD
URL: http://www.nublado.org/
Source0: http://data.nublado.org/cloudy_releases/c13/c13.01.tar.gz
Source1: cloudy_no_date_footer.tar.gz
#Patch0: cloudy-doxygen.patch
#Patch1: cloudy-shared.patch
#Requires: %{name}-libs = %{version}-%{release}

BuildRequires: doxygen graphviz tetex-latex

%description
Most of the quantitative information we have about the cosmos comes from 
spectroscopy. In many cases the light we analyze was produced by atoms in 
the first generations of stars and galaxies.  The spectra are produced by 
dilute gas where such properties as the gas kinetic temperature, chemical 
state, level of ionization, and level populations, are determined by a 
host of microphysical processes rather than by a single temperature. 
Analytical solutions are seldom possible and computer solutions are 
needed to understand their physical properties. Numerical simulations make 
it possible to understand complex physical environments starting from 
first principles. Cloudy is designed to do exactly this.

%prep
%setup -q -n c%{version}
%setup -q -n c%{version} -T -D -a 1
#%patch0 -p1
#%patch1 -p1
#chmod +x source/precompile.pl

%build
cd source
make %{?_smp_mflags} CXX="%{__cxx}" CXXFLAGS="%{optflags}" \
    CLOUDY_DATA_PATH=%{_datadir}/%{name}/data/
cd ..
cd doxygen
doxygen Doxyfile
# Deleting empty files
find -empty -exec rm '{}' ';'
# Spurious file
find -name installdox -exec rm '{}' ';'

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/%{name}/data
mkdir -p %{buildroot}/%{_datadir}/%{name}/scripts
mkdir -p %{buildroot}/%{_datadir}/%{name}/grain
install -m 755 source/cloudy.exe %{buildroot}/%{_bindir}/cloudy
#install -m 755 source/libcloudy.so.* %{buildroot}/%{_libdir}
#cp -a source/libcloudy.so %{buildroot}/%{_libdir}
#cp -a source/cddefines.h %{buildroot}/%{_includedir}/%{name}
#cp -a source/cpu.h %{buildroot}/%{_includedir}/%{name}
#cp -a source/cddrive.h %{buildroot}/%{_includedir}/%{name}
cp -a data/*.opc %{buildroot}/%{_datadir}/%{name}/data
cp -a data/*.ini %{buildroot}/%{_datadir}/%{name}/data
cp -a data/*.dat %{buildroot}/%{_datadir}/%{name}/data
cp -a data/*.rfi %{buildroot}/%{_datadir}/%{name}/grain
cp -a data/*.szd %{buildroot}/%{_datadir}/%{name}/grain
cp -a data/*.in %{buildroot}/%{_datadir}/%{name}/scripts

%files
%doc readme.txt license.txt docs/* 
%{_bindir}/*
%doc license.txt data/readme_data.htm data/readme_LineList_dat.txt
#%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}
%doc license.txt license.txt doxygen/html
#%{_includedir}/%{name}
#%{_libdir}/lib%{name}.so



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 13.01-2.mga4
+ Revision: 530641
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 joequant <joequant> 13.01-1.mga4
+ Revision: 407039
- imported package cloudy

